#!/bin/bash

PYTHON_VERSION="3.7.7"
CRYPTOGRAPHY_VERSION="3.2.1"

echo "...building python..."
cd ${BUILD_DIR}
wget -qO- "https://www.python.org/ftp/python/${PYTHON_VERSION}/Python-${PYTHON_VERSION}.tgz" | tar -xz

echo
echo "...building python..."
echo
cd Python-${PYTHON_VERSION}
./configure --prefix="${INSTALL_DIR}" --enable-shared
make
make install
cd ..

export LD_LIBRARY_PATH=${INSTALL_DIR}/lib:${LD_LIBRARY_PATH}

echo
echo "...installing pyinstaller..."
echo
${INSTALL_DIR}/bin/pip3 install --upgrade pyinstaller

export CRYPTOGRAPHY_ALLOW_OPENSSL_102="yes"
echo
echo "...installing cryptography..."
echo
${INSTALL_DIR}/bin/pip3 install --upgrade cryptography==${CRYPTOGRAPHY_VERSION}

export LD_LIBRARY_PATH=${ROOT}/build/${ARCH_TRIPLET}/olm/install/lib/${ARCH_TRIPLET}:${LD_LIBRARY_PATH}
export CFLAGS=-I${ROOT}/build/${ARCH_TRIPLET}/olm/install/include
export LDFLAGS=-L${ROOT}/build/${ARCH_TRIPLET}/olm/install/lib/${ARCH_TRIPLET}
echo
echo "...installing pantalaimon..."
echo
${INSTALL_DIR}/bin/pip3 install --upgrade pantalaimon

export PATH=/usr/${ARCH_TRIPLET}/bin:${PATH}
echo
echo "...creating executable..."
echo
${INSTALL_DIR}/bin/pyinstaller --onefile ${INSTALL_DIR}/bin/pantalaimon

